Add Card

User card details are stored securely and easily accessible for future transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To save a user's card details, you should include a unique numeric value in the "customerUniqueToken" variable when sending a request. If the user has not opted to save their card, this field should be left empty. The value you choose should be unique, such as the user's mobile number.

Users will be able to see their saved cards within the system and select them for future transactions. If there are no saved cards for the requested customer with the current merchant, the system will save the details for future transactions. By following this process, you can ensure that user card details are stored securely and easily accessible for future transactions.

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
customerUniqueTokeninteger, mandatory8 (minimum)This card will attach to this customer token. You will get customerUniqueToken from Create Token API
returnUrlstring, mandatory255Pass the redirect URL here
{
		"customerUniqueToken":"8866268287",
    "returnUrl":"https://upayments.com/en/"
}

Response Model

{
    "status": true,
    "message": "Data received successfully",
    "data": {
        "link": "https://sandbox.upayments.com/my-cards?session_id=259728N7127B05l673679224g05202250803k5w5b50Yn8"
    }
}
📘

Try it now by editing the Body Params section

Change values and click "Try It!" in the editor


Body Params
string
Defaults to 9904917379121

Insert your own Customer Unique Token

string
Defaults to https://webhook.site/d7c6e1c8-b98b-4f77-8b51-b487540df336

Pass the redirect URL here

Headers
string
Defaults to Bearer jtest123
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json